Mailinglist Archive: opensuse-updates (120 mails)

< Previous Next >
openSUSE-SU-2013:1630-1: moderate: openssl: disable compression
openSUSE Security Update: openssl: disable compression
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:1630-1
Rating: moderate
References: #793420
Cross-References: CVE-2012-4929
Affected Products:
openSUSE 12.3
openSUSE 12.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


This update disables compression in openssl by default, as
the varying sizes resulting from compression can be used to
retrieve plaintext in various cases. (CRIME attack
CVE-2012-4929).

This update introduces a environment variable
OPENSSL_NO_DEFAULT_ZLIB which can be set to "no" to
reenable compression in selected services.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2013-818

- openSUSE 12.2:

zypper in -t patch openSUSE-2013-818

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (i586 x86_64):

libopenssl-devel-1.0.1e-1.13.1
libopenssl1_0_0-1.0.1e-1.13.1
libopenssl1_0_0-debuginfo-1.0.1e-1.13.1
openssl-1.0.1e-1.13.1
openssl-debuginfo-1.0.1e-1.13.1
openssl-debugsource-1.0.1e-1.13.1

- openSUSE 12.3 (x86_64):

libopenssl-devel-32bit-1.0.1e-1.13.1
libopenssl1_0_0-32bit-1.0.1e-1.13.1
libopenssl1_0_0-debuginfo-32bit-1.0.1e-1.13.1

- openSUSE 12.3 (noarch):

openssl-doc-1.0.1e-1.13.1

- openSUSE 12.2 (i586 x86_64):

libopenssl-devel-1.0.1e-2.12.1
libopenssl1_0_0-1.0.1e-2.12.1
libopenssl1_0_0-debuginfo-1.0.1e-2.12.1
openssl-1.0.1e-2.12.1
openssl-debuginfo-1.0.1e-2.12.1
openssl-debugsource-1.0.1e-2.12.1

- openSUSE 12.2 (x86_64):

libopenssl-devel-32bit-1.0.1e-2.12.1
libopenssl1_0_0-32bit-1.0.1e-2.12.1
libopenssl1_0_0-debuginfo-32bit-1.0.1e-2.12.1

- openSUSE 12.2 (noarch):

openssl-doc-1.0.1e-2.12.1


References:

http://support.novell.com/security/cve/CVE-2012-4929.html
https://bugzilla.novell.com/793420


< Previous Next >
This Thread
  • No further messages